# Overhaul Maps:

A set of unique maps that tend to have fun gimmicks and dynamic elements that encourage map-centric play.

# It is recommended that you reduce the screen shake settings by going to Mods -> Performance Improvements -> Miscellaneous and reducing the screen shake strength value from 100 to ~10. The overhead light shake and chromatic aberrations can also be disabled if desired.

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045768042254172220/Performance_-1.gif" alt="How to GIF" width="500"/>

# You can also simply just turn on the settings of the ToggleEffects mod.

# Current Maps:
#### Adds 30 maps

(Note: liquids, black boxes, some ropes, and other things do not appear properly on the map images)

### Orbitals

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832593559965696/MapsExtended_b84b21e5-dd19-4352-83b5-5ffa4475a481.png" alt="Orbitals Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782476485828678/Orbitals.gif" alt="Orbitals Map GIF" width="500"/>

A low gravity map with a rotating hazard in the center.

### Serpentine

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832596080742502/MapsExtended_e60caa90-508c-410a-9cb7-b7aa1a2c3180.png" alt="Serpentine Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782478813675530/Serpentine.gif" alt="Serpentine Map GIF" width="500"/>

A snaked-shaped map that periodically moves. Stay on safe ground or jump up to avoid damage when the snake recoils.

### Cyclic

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832509799710790/MapsExtended_6cc06c08-2158-41e2-8b3b-e81218025cb1.png" alt="Cyclic Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045772426409164921/Cyclic.gif" alt="Cyclic Map GIF" width="500"/>

A map with a large saw running through the center at set intervals. Get to safety when it arrives.

### Oscillating

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832596378521670/MapsExtended_f2e8819b-a9b7-4ecd-a37d-05b789c7eca6.png" alt="Oscillating Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045772425624825956/Oscillating.gif" alt="Oscillating Map GIF" width="500"/>

A map with spinning ground and a moving platform at the bottom. The platform can assist you or hurt you if you're not careful. Shoot or shove it to move the platform.

### Balance

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832555685392414/MapsExtended_668e934c-07bc-484a-a2fd-4e9e28199372.png" alt="Balance Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782478381654076/Balance.gif" alt="Balance Map GIF" width="500"/>

A map consisting of two scales that sway back and forth. Use your bullets on the platforms to affect their balance.

### Lurch

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832594881171677/MapsExtended_d9535229-1eab-44da-823f-8826c94253a2.png" alt="Lurch Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782477991587840/Lurch.gif" alt="Lurch Map GIF" width="500"/>

A map consisting of a box occasionally rushing across the map back and forth. Stay out of its way.

### Overhaul

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832510030401556/MapsExtended_7c076ec1-109a-43ba-9d93-39e8fdbc06d7.png" alt="Overhaul Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782477081423944/Overhaul.gif" alt="Overhaul Map GIF" width="500"/>

A small map similar to the mod's logo.

### Broadside

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832595816489060/MapsExtended_e56cd69b-c590-485d-9ceb-6bf23b21d268.png" alt="Broadside Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782477479878796/Broadside.gif" alt="Broadside Map GIF" width="500"/>

A water map consisting of small boats, cannons, and sea mines. Shoot the cannons and sea mines to wreak havok, or shoot your boat to move it away.

### Probability

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832557803516005/MapsExtended_7709f20f-9c67-4bb1-9a35-361844a9f124.png" alt="Probability Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782479354732615/Probability.gif" alt="Probability Map GIF" width="500"/>

A map built like a plinko board. Saws will fall down the map and reappear at the top again.

### Magmatic

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832558134857769/MapsExtended_12807534-8cea-4671-b577-ac9c9a8ab0ec.png" alt="Magmatic Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045772426845356062/Magmatic.gif" alt="Magmatic Map GIF" width="500"/>

A map with a central volcano that constantly spews molten rock. Getting hit will set you on fire.

### Nostalgia 

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832557509906502/MapsExtended_7318cca4-c236-4976-97a5-d091bce16fee.png" alt="Nostalgia Map Image" width="500"/>

A retro style map that takes place in some sort of construction site with blazing rolling barrels constantly falling and parts of the map on fire. OSHA will not be happy.

### Elementary

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832593291517952/MapsExtended_aa150961-89ff-4492-a776-e0c8bad5943d.png" alt="Elementary Map Image" width="500"/>

A relatively simple map with 4 themed sections that each utilize the distinct elements of water, lava, acid, and space.

### Sinkhole

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832594113601576/MapsExtended_c09bb702-fcb8-4e62-a073-a33ddfee846a.png" alt="Sinkhole Map Image" width="500"/>

A (new and improved) map that is slowly sinking into the map boundary. Win the round before there's no where left to stand.

### Flip Flop

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832555937042482/MapsExtended_787c7bb3-526a-4990-b4a8-7242172038e1.png" alt="Flip Flop Map Image" width="500"/>

A simple map with spinning platforms.

### Wipeout

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832556574572554/MapsExtended_912c2d2f-0374-4286-b13a-3181a702f9fe.png" alt="Wipeout Map Image" width="500"/>

A simple map with shrinking spinning blocks. 

### Galleons

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832558495576196/MapsExtended_a36c5d87-2eed-4082-8cbf-12062db8341c.png" alt="Galleons Map Image" width="500"/>

A water map with two barely-held-together ships.

### Trenches

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832510865068252/MapsExtended_11a572fb-e533-4caf-9c76-16a07a409d40.png" alt="Trenches Map Image" width="500"/>

A map in which you must break the terrain to make a path to your opponents.

### Hyper Tubes

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832595464163368/MapsExtended_e17cd0bf-bed6-4dfd-839f-b2e4e2e74424.png" alt="Hyper Tubes Map Image" width="500"/>

A segmented map connected with hyper tubes that quickly transport you.

### Pinball Machine

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832508876947568/MapsExtended_0d97315c-170f-446e-b1fe-42b9c5cb3303.png" alt="Pinball Machine Map Image" width="500"/>

A map based around a malfuctioning pinball machine that launches balls around the map.

### Recursion

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832557249867847/MapsExtended_5304d74f-bc37-4528-9340-4090678c86e5.png" alt="Recursion Map Image" width="500"/>

A map with repeating elements. A map with repeating elements. A map with repeating elements.

### Revolution

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832593811607613/MapsExtended_be7e3509-1cc4-4118-a938-6a6577330790.png" alt="Revolution Map Image" width="500"/>

A map with two ferris-wheel-esque contraptions to play around.

### Enginery

(GIF currently unavailable)

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1108832511150260304/MapsExtended_492b824f-210d-4b27-aa95-141ca367b30b.png" alt="Enginery Map Image" width="500"/>

A complex map with moving saws and a platform that can be dropped onto moving blocks in order to cause chaos.

### Coalesce

(GIF currently unavailable)

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1108832556830429234/MapsExtended_984cd06d-e62d-46fe-a6da-06d627cabe39.png" alt="Coalesce Map Image" width="500"/>

A map with moving platforms and saws that separate and then come together again.

### Weave

(GIF currently unavailable)

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1108832511498408037/MapsExtended_627c9658-9f96-4607-a857-7a08a41b43b8.png" alt="Weave Map Image" width="500"/>

A map with fast saws that swing by from off screen at regular intervals.

### Division

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832556276789279/MapsExtended_842b6073-ff62-4686-a03d-a9679cf5426f.png" alt="Division Map Image" width="500"/>

A map with moving blocks ready to crush you if you make the wrong move.

### As Above

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832509476732968/MapsExtended_5efe21ad-b7bb-4151-8be9-2282cb4f86c4.png" alt="As Above Map Image" width="500"/>

A bridge themed map where the platforms you stand on can be destroyed, causing people to fall to their death.

### So Below

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832510315593818/MapsExtended_9b0a04d1-1672-4709-9163-df86dd1a42bb.png" alt="So Below Map Image" width="500"/>

A bridge themed map where the platforms you stand on can be dropped onto shallow water. Slipping off the fallen platforms could be deadly.

### Miniature

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832510571462807/MapsExtended_9e152fdd-ebd3-4e7b-8692-49ff7dbabbb6.png" alt="Miniature Map Image" width="500"/>

A mini golf themed map with flying golf balls, a miniature windmill hazard, a golf cart, and a golf club.

### Flipside

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832509162176542/MapsExtended_2ba3c682-f774-41e4-aaf2-dbd6fe7758e2.png" alt="Flipside Map Image" width="500"/>

A map with two sides: blocks with blink in and out of existence every 3 seconds to match the current side.

### Falling Down

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832593006301275/MapsExtended_a777c9d1-de3a-4c91-9e36-c5bae3d93fcc.png" alt="Falling Down Map Image" width="500"/>

A map consisting of several vertical platforms slowly falling down and reappearing at the top. You must constantly climb upwards as you fight.

---
## Bug Reports and Suggestions:
If you have found any issues or have any suggestions, please report them in the [ROUNDS Overhaul Discord](https://discord.com/channels/1038199747472797756/1042822464457154613).

I can also be reached at the [ROUNDS Modding Discord](https://discord.gg/rounds-modding). 